@charset "UTF-8";

/* =Reset default browser CSS. Based on work by Eric Meyer: http://meyerweb.com/eric/tools/css/reset/index.html
-------------------------------------------------------------- */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, font, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td {
  background: transparent;
  border: 0;
  margin: 0;
  padding: 0;
  vertical-align: baseline;
  -webkit-text-size-adjust: none;
  max-height: 999999px;
}
body {line-height: 1;}

h1, h2, h3, h4, h5, h6 {
  clear: both;
  font-size: 100%;
  font-weight: normal;
  overflow: hidden;
  line-height: 140%;
}
ol, ul {list-style: none;}

blockquote {quotes: none;}

blockquote:before, blockquote:after {
  content: '';
  content: none;
}
del {text-decoration: line-through;}

/* tables still need 'cellspacing="0"' in the markup */
table {
  border-collapse: collapse;
  border-spacing: 0;
}

th{font-weight: normal;}

a img {border: none;}

a {
  text-decoration: none;
  outline: none;
}

img {
  vertical-align: bottom;
  image-rendering: -webkit-optimize-contrast;
}

.clearfix {width:100%; margin: 0;}
.clearfix:after{
  content: ".";
  display: block;
  clear: both;
  height: 0;
  visibility: hidden;
  }
     
* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -o-box-sizing: border-box;
  -ms-box-sizing: border-box;
  box-sizing: border-box;
  }
  
  input{
  -webkit-appearance:none;
  -moz-appearance:none;
  appearance:none;
  outline:none;
  border-radius:0;
  }
  textarea{
  -webkit-appearance:none;
  -moz-appearance:none;
  appearance:none;
  outline:none;
  border-radius:0;
  resize:none;
  }

  button{
  -webkit-appearance:none;
  -moz-appearance:none;
  appearance:none;
  border:none;
  background:none;
  padding:0;
  outline:none;
  border-radius:0;
  }



/*------------------------------------
	Value
------------------------------------*/
.mtop0 { margin-top: 0!important; }
.mtop5 { margin-top: 5px; }
.mtop10 { margin-top: 10px; }
.mtop15 { margin-top: 15px; }
.mtop20 { margin-top: 20px; }
.mtop25 { margin-top: 25px; }
.mtop30 { margin-top: 30px; }
.mtop35 { margin-top: 35px; }
.mtop40 { margin-top: 40px; }
.mtop50 { margin-top: 50px; }
.mtop60 { margin-top: 60px; }
.mtop70 { margin-top: 70px; }
.mtop100 { margin-top: 100px; }


.mbtm0 { margin-bottom: 0; }
.mbtm5 { margin-bottom: 5px; }
.mbtm10 { margin-bottom: 10px; }
.mbtm15 { margin-bottom: 15px; }
.mbtm20 { margin-bottom: 20px; }
.mbtm25 { margin-bottom: 25px; }
.mbtm30 { margin-bottom: 30px; }
.mbtm35 { margin-bottom: 35px; }
.mbtm40 { margin-bottom: 40px; }
.mbtm50 { margin-bottom: 50px; }
.mbtm60 { margin-bottom: 60px; }
.mbtm70 { margin-bottom: 70px; }
.mbtm100 { margin-bottom: 100px; }

.mleft5 { margin-left: 5px; }
.mleft10 { margin-left: 10px; }
.mleft15 { margin-left: 15px; }
.mleft20 { margin-left: 20px; }

.mright5 { margin-right: 5px; }
.mright10 { margin-right: 10px; }
.mright15 { margin-right: 15px; }
.mright20 { margin-right: 20px; }

.mauto {margin: auto;}

.p10 { padding: 10px; }
.p20 { padding: 20px; }
.p30 { padding: 30px; }
.p40 { padding: 40px; }

.ptop10 { padding-top: 10px; }
.ptop15 { padding-top: 15px; }
.ptop30 { padding-top: 30px; }

.ptop50 { padding-top: 50px; }

.ptop100 { padding-top: 100px; }

.pbtm10 { padding-bottom: 10px; }
.pbtm30 { padding-bottom: 30px; }


.pleft5 { padding-left: 5px; }
.pleft10 { padding-left: 10px; }
.pleft15 { padding-left: 15px; }
.pleft20 { padding-left: 20px; }



.pright5 { padding-right: 5px; }
.pright10 { padding-right: 10px; }
.pright15 { padding-right: 15px; }
.pright20 { padding-right: 20px; }



@media screen and (max-width: 1000px) {
  .mtop20 { margin-top: 2%; }
  .mtop25 { margin-top: 2.5%; }
  .mtop30 { margin-top: 3%; }
  .mtop40 { margin-top: 4%; }
  .mtop50 { margin-top: 5%; }
  .mtop60 { margin-top: 6%; }
  .mtop70 { margin-top: 7%; }  
  .mtop100 { margin-top: 10%; }

  .mbtm20 { margin-bottom: 2%; }
  .mbtm25 { margin-bottom: 2.5%; }
  .mbtm30 { margin-bottom: 3%; }
  .mbtm40 { margin-bottom: 4%; }
  .mbtm50 { margin-bottom: 5%; }
  .mbtm60 { margin-bottom: 6%; }
  .mbtm70 { margin-bottom: 7%; }
  .mbtm100 { margin-bottom: 10%; }
  
  .ptop50 { padding-top: 5%; }
  .ptop100 { padding-top: 10%; }
  
  .p40 { padding: 4%; }  
}

@media screen and (max-width: 750px) {
  .mtop20 { margin-top: 2.6%; }
  .mtop25 { margin-top: 3.3%; }
  .mtop30 { margin-top: 4%; }
  .mtop40 { margin-top: 5.3%; }
  .mtop50 { margin-top: 6.6%; }  

  .mbtm20 { margin-bottom: 2.6%; }
  .mbtm25 { margin-bottom: 3.3%; }
  .mbtm30 { margin-bottom: 4%; }
  .mbtm40 { margin-bottom: 5.3%; }
  .mbtm50 { margin-bottom: 6.6%; }
  
  .ptop50 { padding-top: 6.6%; }
  
  .p40 { padding: 5.3%; }    
}


@media screen and (max-width: 480px) {
  .mtop20 { margin-top: 2.6%; }
  .mtop25 { margin-top: 3.3%; }
  .mtop30 { margin-top: 4%; }
  .mtop40 { margin-top: 5.3%; }
  .mtop50 { margin-top: 30px; }  

  .mbtm20 { margin-bottom: 2.6%; }
  .mbtm25 { margin-bottom: 3.3%; }
  .mbtm30 { margin-bottom: 4%; }
  .mbtm40 { margin-bottom: 5.3%; }
  .mbtm50 { margin-bottom: 30px; }
  
  .ptop50 { padding-top: 30px; }
  
  .p40 { padding: 5.3%; }  
}

/*----------------------------------------
	basis
----------------------------------------*/
html {
  font-size: 62.5%; /*標準サイズ*/
  width: 100%;
  overflow-x: hidden;
}

@media screen and (max-width: 1080px) {
  html {
    font-size: 56.25%;/*9/16*/
  }
}

@media screen and (max-width: 750px) {
  html {
    font-size: 50%;/*8/16*/
  }
}

@media screen and (max-width: 480px) {
  html {
    font-size: 43.75%;/*7/16*/
  }
}


p {
  line-height: 160%;
}

a {
  transition : all 0.3s ease 0s;
}

a:hover {
	opacity: 0.7;
}

p a , table a , li a , 
.txt-link {
  color: #E50012;
  text-decoration: underline;
}

p a:hover , table a:hover , li a:hover ,
.txt-link:hover {
  text-decoration: none;
  opacity: 1;
}

.ofh { overflow: hidden; }
.center { text-align: center; }
.left { text-align: left; }
.right { text-align: right; }
.bold { font-weight: bold; }
.normal { font-weight: normal; }
.relative { position: relative; }

.w100per { max-width: 100%; }

.red { color: #ff0000; }

.bg-white {background-color: #fff}
.bg-gray {background: #f7f7f7; }


.opacity:hover { opacity: 0.7; }


.block { display: block;}
.inline-block { display: inline-block;}
.inline { display: inline;}


.a10 {
  padding-left :1em;
  text-indent: -1em;
  margin-top: 10px;
  font-size: 12px;
  color: #545454;
  line-height: 160%;  
}

.a10-list {
  margin-top: 10px;
}

.a10-list li {
  padding-left :1em;
  text-indent: -1em;
  font-size: 12px;
  color: #545454;
  line-height: 160%;  
}

.annotation {
  font-size: 12px;
  color: #545454;
  line-height: 160%;
}

.spbr {display: none;}
.pcbr {display: inline;}
.pc_inlineblock {display: inline-block;}
.sp_inlineblock {display: none;}

.basic_layout {
  width: 95%;
  margin: 0 auto;
  max-width: 1080px;
  position: relative;
}
main {
  position: relative;
}
.font-inter {
  font-family: "Inter", sans-serif;
}



@media screen and (max-width: 768px) {
  .spbr {display: inline;}
  .pcbr {display: none;}
  .pc_inlineblock {display: none;}
  .sp_inlineblock {display: inline-block;}

}
/*----------------------------------------
	インデント
----------------------------------------*/
.indent {
  padding-left :1em;
  text-indent: -1em;
}


.list-indent li {
  padding-left: 1em;
  text-indent: -1em;
}
/*----------------------------------------
	main
----------------------------------------*/
body {
  font-family:"Noto Sans JP", "Helvetica", "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro","メイリオ","Meiryo", ＭＳ Ｐゴシック, MS PGothic, sans-serif;
  color: #333;
  font-size: 1.6rem;
  line-height: 180%;
  width: 100%;
  overflow-x: hidden;
}


.inner {
	max-width: 1200px;
  width: 92%;
	margin: auto;
}

@media screen and (max-width: 750px) {
  body {
    line-height: 160%;
    font-size: 14px;
  }
}

@media screen and (max-width: 480px) {
  body {
    line-height: 150%;
  }
}
/*----------------------------------------
	top
----------------------------------------*/
.canmatch-top {
  background-image: url(../images/bg_grid.gif);
  background-repeat: repeat;
  background-size: 40px;
  background-position: center top;
  position: relative;
}
.canmatch-top__marquee{
  position:absolute;
  inset:0;
  z-index:0;
  pointer-events:none;
  display:flex;
  flex-direction:column;
  --cm-size: 142px;      /* アイテムサイズ（PC） */
  --cm-item-gap: 55px;   /* アイテム間の余白 */
  --cm-lane-gap: 50px;   /* レーン間の余白 */
  --cm-pad-y: 28px;      /* 上下パディング */

  gap: var(--cm-lane-gap);
  padding: var(--cm-pad-y) 0;
    overflow: hidden;
}

.cm-lane{
  height: var(--cm-size);
  display:flex;
  align-items:center;
}

.cm-track{
  display:flex;
  width:max-content;
  will-change: transform;
  backface-visibility: hidden;
}

.cm-set{
  display:flex;
  align-items:center;
  gap: var(--cm-item-gap);
  padding-right: var(--cm-item-gap);
  flex: 0 0 auto;
}

.cm-set img{
  width: var(--cm-size);
  height: var(--cm-size);
  object-fit: contain;
  flex: 0 0 auto;
}

@media screen and (max-width: 860px){
  .canmatch-top__marquee{
    --cm-size: 110px;
    --cm-item-gap: 40px;
    --cm-lane-gap: 45px;
    --cm-pad-y: 24px;
  }
}

/* 480px以下（SP） */
@media screen and (max-width: 480px){
  .canmatch-top__marquee{
    --cm-size: 70px;   /* 指定どおり */
    --cm-item-gap: 25px;
    --cm-lane-gap: 30px;
    --cm-pad-y: 18px;
  }
}


@keyframes cm-marquee-left{
  from{ transform: translateX(0); }
  to{ transform: translateX(-33.333333%); }
}

@keyframes cm-marquee-right{
  from{ transform: translateX(-33.333333%); }
  to{ transform: translateX(0); }
}

/* 交互方向＋速度差（おすすめ） */
.cm-lane--1 .cm-track{ animation: cm-marquee-left 48s linear infinite; }
.cm-lane--2 .cm-track{ animation: cm-marquee-right 62s linear infinite; }
.cm-lane--3 .cm-track{ animation: cm-marquee-left 54s linear infinite; }
.cm-lane--4 .cm-track{ animation: cm-marquee-right 70s linear infinite; }
.cm-lane--5 .cm-track{ animation: cm-marquee-left 58s linear infinite; }

@media screen and (max-width: 480px){
  .cm-lane--1 .cm-track{ animation-duration: 36s; }
  .cm-lane--2 .cm-track{ animation-duration: 46s; }
  .cm-lane--3 .cm-track{ animation-duration: 40s; }
  .cm-lane--4 .cm-track{ animation-duration: 52s; }
  .cm-lane--5 .cm-track{ animation-duration: 42s; }
}


.canmatch-top__inner{
  width: 90%;
  max-width: 448px;
  margin: 0 auto;
  position: relative;
  z-index: 2;
}
.canmatch-top__head{
  padding-top: 60px;
}
.canmatch-top__catch {
    width: 100%;
    max-width: 425px;
    margin: 0 auto;
}
.canmatch-top__catch img {
    width: 100%;
}
.canmatch-top__logo {
  width: 100%;
  max-width: 445px;
  margin: -17% auto 0;
}
.canmatch-top__logo img {
    width: 100%;
}




.canmatch-top__body{
  margin-top: 70px;
  padding-bottom: 100px;
}
.canmatch-top__message_wrap {
  position: relative;
    z-index: 1;
}
.canmatch-top__message{
  background-color: #fff;
  border: 2px solid #15205a;
  padding: 17px;
  margin-bottom: 40px;
}
.canmatch-top__text{
  color: #15205a;
  font-size: 15px;
  font-weight: bold;
  letter-spacing: 1px;
}
.canmatch-top__frame{
  position: absolute;
  display: block;
  width: 5px;
  height: 5px;
  background-color: #15205a;
  border-radius: 50%;
}
.canmatch-top__frame.frame--01{
  top: -1px;
  left: -1px;
}
.canmatch-top__frame.frame--02{
  top: -1px;
  right: -1px;
}
.canmatch-top__frame.frame--03{
  bottom: -1px;
  left: -1px;
}
.canmatch-top__frame.frame--04{
  bottom: -1px;
  right: -1px;
}
.canmatch-top__badgeman{
  width: 158px;
  position: absolute;
  z-index: -1;
    top: -145px;
  left: 0;
  right: 0;
  margin: auto;
}
.canmatch-top__badgeman img{
  width: 100%;
}
.canmatch-top__start {
  padding: 21px;
  background: linear-gradient(90deg, rgba(32, 173, 235, 1) 0%, rgba(1, 58, 139, 1) 50%);
  background-size: 200% 100%;
  background-position: left center;
  color: #fff;
  width: 90%;
  margin: 0 auto;
  font-size: 28px;
  border-radius: 15px;
  font-weight: bold;
  border: 3px solid #000d4d;
  letter-spacing: 3px;
  position: relative;
  cursor: pointer;
  box-shadow: 0 7px 0 #000d4d;
  transition: transform .15s ease, box-shadow .15s ease ,background-position .3s ease;;
}
.canmatch-top__start:hover{
  transform: translateY(3px);
  box-shadow: 0 4px 0 #0a2b5c;
  background-position: right 5% center;
}

.canmatch-top__start:active{
  transform: translateY(7px);
  box-shadow: 0 0 0 #0a2b5c;
}
.canmatch-top__btn-icon{
  position: absolute;
    display: inline-block;
    width: 38px;
    height: 38px;
    border: 3px solid #fff;
    border-radius: 50%;
    right: 24px;
    top: 0;
    bottom: 0;
    margin: auto;
}
.canmatch-top__btn-icon::after{
  content: "";
  position: absolute;
  top: 50%;
  left: 52%;
  transform: translate(-50%, -50%);
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 4px 0 4px 7px;
  border-color: transparent transparent transparent #fff;
}



/* 初期状態 */
.canmatch-top__catch,
.canmatch-top__logo{
  opacity:0;
  transform:translateY(-120px);
  animation:dropIn 0.7s cubic-bezier(.2,.8,.2,1) forwards;
}

/* 最初の空白 */
.canmatch-top__catch{
  animation-delay:0.5s;
}

/* トトンの2個目 */
.canmatch-top__logo{
  animation-delay:0.55s;
}

@keyframes dropIn{

  10%{
    opacity:0;
    transform:translateY(-120px);
  }

  60%{
    opacity:1;
    transform:translateY(1px);
  }


  100%{
    opacity:1;
    transform:translateY(0);
  }

}



/* message：ドン！ */
.canmatch-top__message_wrap{
  opacity:0;
  transform:translateY(80px);
  animation:messageJump 0.4s cubic-bezier(.2,.8,.2,1) forwards;
  animation-delay:0.7s;
}

@keyframes messageJump{

  10%{
    opacity:0;
    transform:translateY(80px);
  }

  99.5%{
    opacity:1;
    transform:translateY(-1px);
  }

  100%{
    opacity:1;
    transform:translateY(0);
  }

}


/* badgeman：ひょこ */
.canmatch-top__badgeman{
  opacity:0;
  transform:translateY(20px);
  animation:badgemanPeek 0.3s cubic-bezier(.3,1.2,.4,1) forwards;
  animation-delay:0.8s;
}

@keyframes badgemanPeek{

  0%{
    opacity:0;
    transform:translateY(20px);
  }

  70%{
    opacity:1;
    transform:translateY(-4px);
  }

  100%{
    opacity:1;
    transform:translateY(0);
  }

}

.canmatch-top__start {
  opacity: 0;
  transform: scale(0.2);
  transform-origin: center center;
  animation: startBtnBounce 0.55s cubic-bezier(.22,1.35,.35,1) forwards;
  animation-delay: 1.6s;
}

@keyframes startBtnBounce{
  40%{
    opacity: 0;
    transform: scale(0.2);
  }

  99%{
    opacity: 1;
    transform: scale(1.005);
  }


  100%{
    opacity: 1;
    transform: scale(1);
  }
}



@media screen and (max-width: 480px) {
  .canmatch-top {
    background-size: 20px;
  }
  .canmatch-top__body {
    margin-top: 63px;
    padding-bottom: 100px;
  }
  .canmatch-top__text {
    font-size: 12px;
  }
  .canmatch-top__badgeman {
    width: 135px;
    top: -124px;
  }
  .canmatch-top__message {
    margin-bottom: 33px;
  }
  .canmatch-top__start {
    font-size: 22px;
      border-radius: 7px;
      padding: 16px 10px;
  }
  .canmatch-top__btn-icon {
    width: 30px;
    height: 30px;
    border-width: 1px;
    right: 15px;
  }
  .canmatch-top__btn-icon::after {
    border-width: 3px 0 3px 5px;
  }
  .canmatch-top__start{
    box-shadow: 0 4px 0 #000d4d;
    border-width: 2px;
  }

  /* hoverを完全に無効化 */
  .canmatch-top__start:hover{
    transform: none;
    box-shadow: 0 4px 0 #000d4d;
  }

  /* タップ中だけ押し込む */
  .canmatch-top__start:active{
    transform: translateY(4px);
    box-shadow: 0 0 0 #0a2b5c;
  }

}




/*----------------------------------------
	question
----------------------------------------*/

.canmatch-question {
  background-image: url(../images/bg_grid.gif);
  background-size: 40px;
    padding: 76px 0 100px;
}
.canmatch-question__logo{
  position: absolute;
    width: 400px;
  top: 0;
  left: 0;
  right: 0;
  margin: auto;
    z-index: 10;
}

.canmatch-question__logo img{
  width: 100%;
}
.canmatch-question__wrap {
  position: relative;
  z-index: 1;
}
.canmatch-question__shadow {
  position: absolute;
    width: calc(90% - 40px);
    height: 96%;
    max-width: 971px;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    box-shadow: 0 5px 40px 0 rgba(0, 13, 77, 0.25);
    z-index: -1;
}
.canmatch-question__box {
  width: 90%;
  max-width: 1000px;
  margin: 0 auto;
  border: 2px solid #000d4d;
    padding: 170px 40px 100px;
  background-color: #fff;
  position: relative;
  clip-path:polygon(
    24px 0,          /* 左上カット */
    100% 0,
    100% calc(100% - 24px),
    calc(100% - 24px) 100%,  /* 右下カット */
    0 100%,
    0 24px
  );
}

.canmatch-question__box::before,
.canmatch-question__box::after {
    content: "";
    display: block;
    position: absolute;
    width: 41px;
    height: 11px;
    background-color: #000d4d;
}
.canmatch-question__box::before {
    top: 5px;
    left: -11px;
    transform: rotate(-45deg);
}
.canmatch-question__box::after {
    bottom: 5px;
    right: -11px;
    transform: rotate(-45deg);
}

.canmatch-question__progress{
  width: 90%;
    max-width: 480px;
  margin: 0 auto 40px;
  position: relative;
}

.canmatch-question__progress-bar{
  width: 100%;
  height: 8px;
  border-radius: 50px;
  background-color: skyblue;
}

.canmatch-question__progress-icon{
  position: absolute;
  width: 80px;
    top: -26px;
  left: 10%;
}

.canmatch-question__progress-icon img{
  width: 100%;
}

.canmatch-question__number{
  color: #000d4d;
  font-weight: 600;
  text-align: center;
  padding: 0 50px;
  background-image: url(../images/question_l.png), url(../images/question_r.png);
  background-repeat: no-repeat;
  background-position: left center, right 7px center;
  background-size: 34px;
  font-size: 44px;
  width: 180px;
  margin: 0 auto 30px;
  letter-spacing: 7px;
}

.canmatch-question__text{
  text-align: center;
  font-size: 32px;
  font-weight: bold;
  letter-spacing: 1px;
  color: #000d4d;
    margin-bottom: 68px;
}

.canmatch-question__choices{
  display: flex;
  justify-content: space-between;
    width: 100%;
    max-width: 820px;
    margin: 0 auto;
}

.canmatch-question__choice{
  width: 49%;
  position: relative;
  background: linear-gradient(90deg, rgba(32, 173, 235, 1) 0%, rgba(1, 58, 139, 1) 50%);
  background-size: 200% 100%;
  background-position: left center;
  color: #fff;
  border-radius: 15px;
  font-weight: bold;
  text-align: center;
  cursor: pointer;
  box-shadow: 0 7px 0 #000d4d;
  border: 3px solid #000d4d;
  padding: 30px 20px 25px;
  font-size: 21px;
  transition: transform .15s ease, box-shadow .15s ease ,background-position .3s ease;;

}

.canmatch-question__choice:hover{
  transform: translateY(3px);
  box-shadow: 0 4px 0 #0a2b5c;
  background-position: right 5% center;
}

.canmatch-question__choice:active{
  transform: translateY(7px);
  box-shadow: 0 0 0 #0a2b5c;
}
.canmatch-question__choice-label{
  width: 50px;
  height: 50px;
  position: absolute;
  color: #000d4d;
  font-size: 28px;
  line-height: 1;
    padding: 9px 10px 10px;
  font-weight: 600;
  background-color: #fff;
  border-radius: 50%;
    border: 2px solid #000d4d;
    top: -28px;
  right: 0;
  left: 0;
  margin: auto;
}

@media screen and (max-width: 750px) {
  .canmatch-question__choices {
    flex-wrap: wrap;
    gap: 40px;
    justify-content: center;
  }
  .canmatch-question__choice {
    width: 100%;
    max-width: 500px;
  }
}

@media screen and (max-width: 480px) {
  .canmatch-question {
    background-size: 20px;
  }

  .canmatch-question {
    padding: 50px 0 50px;
  }
  .canmatch-question__logo {
      width: 250px;
  }
  .canmatch-question__box {
    padding: 95px 20px 50px;
    clip-path: polygon(
      12px 0,
      100% 0,
      100% calc(100% - 12px),
      calc(100% - 12px) 100%,
      0 100%,
      0 12px
    );
  }
  .canmatch-question__box::before {
    top: 3px;
    left: -23px;
  }
  .canmatch-question__box::after {
    bottom: 3px;
    right: -23px;
  }
  .canmatch-question__progress {
    width: 95%;
    margin-bottom: 30px;
  }
  .canmatch-question__progress-bar {
    height: 5px;
  }
  .canmatch-question__progress-icon {
    width: 50px;
    top: -17px;
  }
  .canmatch-question__number {
    font-size: 28px;
    letter-spacing: 4px;
    width: 110px;
    padding: 0 20px;
    background-size: 21px;
    background-position: left center, right 4px center;
  }
  .canmatch-question__text {
    font-size: 20px;
    margin-bottom: 40px;
  }
  .canmatch-question__choice {
    font-size: 17px;
    padding: 25px 20px 20px;
    box-shadow: 0 4px 0 #000d4d;
    border-width: 2px;
  }

  /* hoverを完全に無効化 */
  .canmatch-question__choice:hover{
    transform: none;
    box-shadow: 0 4px 0 #000d4d;
  }

  /* タップ中だけ押し込む */
  .canmatch-question__choice:active{
    transform: translateY(4px);
    box-shadow: 0 0 0 #0a2b5c;
  }
  .canmatch-question__choice-label {
    width: 40px;
    height: 40px;
    font-size: 22px;
    padding-top: 7px;
    top: -22px;
  }
}




/*----------------------------------------
	result
----------------------------------------*/

.canmatch-question__logo_wrap {
    position: absolute;
    width: 100%;
    top: 0;
    z-index: 100;
}
.canmatch-result__head {
    position: absolute;
    right: 0;
    left: 0;
    margin: auto;
    width: 79%;
    max-width: 390px;
    z-index: 200;
    top: 140px;
}
.canmatch-result__icon {
    width: 108px;
    margin: 0 auto;
}
.canmatch-result__icon img {
  width: 100%;
}
.canmatch-result__lead{
  border: 2px solid #000d4d;
  position: relative;
  text-align: center;
  background-color: #fff;
  margin-top: -50px;
    padding: 10px 0;
}

.canmatch-result__frame{
  position: absolute;
  display: block;
  width: 5px;
  height: 5px;
  background-color: #15205a;
  border-radius: 50%;
}
.canmatch-result__frame.frame--01{
  top: -3px;
  left: -3px;
}
.canmatch-result__frame.frame--02{
  top: -3px;
  right: -3px;
}
.canmatch-result__frame.frame--03{
  bottom: -3px;
  left: -3px;
}
.canmatch-result__frame.frame--04{
  bottom: -3px;
  right: -3px;
}
.canmatch-result__lead-text{
  font-size: 25px;
  font-weight: bold;
  color: #000d4d;
    letter-spacing: 2px;
}
.canmatch-result__main{
  width: 100%;
    max-width: 819px;
  margin: 60px auto 40px;
}
.canmatch-result__visual {
    position: relative;
    width: 100%;
    max-width: 490px;
    margin: 0 auto;
}
.canmatch-result__bg {
    width: 100%;
}
.canmatch-result__badge {
  opacity: 0;
    width: 90%;
    position: absolute;
    top: 29px;
    left: 0;
    right: 0;
    margin: auto;
}
.canmatch-result__badge img {
    width: 100%;
}
.canmatch-result__character {
  opacity: 0;
    width: 175px;
    position: absolute;
    bottom: 0;
    right: -21px;
}
.canmatch-result__body{
  color: #000d4d;
    margin-bottom: 45px;
}
.canmatch-result__title_wrap {
  position: relative;
    width: 98%;
    max-width: 390px;
    margin: 0 auto 25px;
    padding-bottom: 5px;
}
.canmatch-result__title{
  font-weight: bold;
  text-align: center;
  font-size: 35px;
  border-bottom: 2px solid #000d4d;
  padding: 20px;
}

.canmatch-result__dot-left,
.canmatch-result__dot-right {
  content: "";
  display: block;
  position: absolute;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background-color: #000d4d;
    bottom: 3px;
}
.canmatch-result__dot-left{
  left: 0;
}
.canmatch-result__dot-right {
  right: 0;
}
.canmatch-result__description{
  font-weight: bold;
  font-size: 17px;
  letter-spacing: 1px;
  width: 100%;
  max-width: 614px;
  margin: 0 auto;
}
.canmatch-result__share {
    background-color: #ebf8ff;
    border-radius: 15px;
    padding: 48px 20px 39px;
}
.canmatch-result__share-btn {
    width: 90%;
    display: block;
    max-width: 377px;
    background-color: #013a8b;
    color: #fff;
    margin: 0 auto;
    text-align: center;
    position: relative;
    padding: 27px 15px 19px;
    border-radius: 10px;
    border: 2px solid #000d4d;
    box-shadow: 0 7px 0 #000d4d;
    cursor: pointer;
    transition: transform .15s ease, box-shadow .15s ease, background-position .3s ease;
}
.canmatch-result__share-btn:hover{
  transform: translateY(3px);
  box-shadow: 0 4px 0 #0a2b5c;
  background-position: right 5% center;
  opacity: 1;
}

.canmatch-result__share-btn:active{
  transform: translateY(7px);
  box-shadow: 0 0 0 #0a2b5c;
}
.canmatch-result__share-label {
    position: absolute;
    display: inline-block;
    top: -18px;
    left: 0;
    right: 0;
    margin: auto;
    color: #000d4d;
    background-color: #fff;
    font-size: 17px;
    width: 240px;
    border-radius: 50px;
    border: 2px solid #000d4d;
    font-weight: bold;
}
.canmatch-result__share-text {
    font-size: 23px;
    font-weight: bold;
    letter-spacing: 2px;
}

.canmatch-result__actions {
    width: 100%;
    max-width: 524px;
    display: flex;
    justify-content: center;
    gap: 20px;
    margin: 0 auto;
}
.canmatch-result__action{
  width: calc((100% - 20px)/2);
}
.canmatch-result__action-link {
  display: block;
  width: 100%;
  padding: 20px;
  border-radius: 10px;
  border: 2px solid #000d4d;
  box-shadow: 0 7px 0 #000d4d;
  font-size: 17px;
  font-weight: bold;
  color: #000d4d;
  text-align: center;
  text-decoration: none;
    cursor: pointer;
    transition: transform .15s ease, box-shadow .15s ease, background-position .3s ease;
}
.canmatch-result__action-link.retry {
    background-color: #ebf8ff;
}
.canmatch-result__action-link.product {
    background-color: #fac218;
}
.canmatch-result__action-link:hover{
  transform: translateY(3px);
  box-shadow: 0 4px 0 #0a2b5c;
  background-position: right 5% center;
  opacity: 1;
}

.canmatch-result__action-link:active{
  transform: translateY(7px);
  box-shadow: 0 0 0 #0a2b5c;
}

/* --------------------- */
/*   結果アニメーション   */
/* --------------------- */

.canmatch-result__lead-text{
  position: relative;
  z-index: 1;
  line-height: 1;
}
.canmatch-result__lead-text-inner{
  display: inline-block;
  position: relative;
  overflow: hidden;
  white-space: nowrap;
  width: 0;
  animation: resultTyping 1.2s steps(12, end) forwards;
  animation-delay: 1s;
}

.canmatch-result__lead-text::before{
  content: "";
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 2px;
  height: 1.2em;
  background: #000d4d;
  animation: resultCursor 1.0s steps(1,end) 1, resultCursorHide 0s 1s forwards;

}

.canmatch-result__lead-text-inner::after{
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 2px;
  height: 1.2em;
  background: #000d4d;
  animation: resultCursor 1.0s steps(1,end) 3 1s, resultCursorHide 0s 3s forwards;
}

@keyframes resultTyping{
  from{
    width: 0;
  }
  to{
    width: 300px;
  }
}

@media screen and (max-width: 480px) {
  @keyframes resultTyping{
    from{
      width: 0;
    }
    to{
      width: 240px;
    }
}
}

@keyframes resultCursor{
  0%,49%{
    opacity: 1;
  }
  50%,100%{
    opacity: 0;
  }
}
@keyframes resultCursorHide{
  to{
    opacity:0;
  }
}


.canmatch-result__bg{
  opacity: 0;
  animation: resultBgStep 1.2s steps(1,end) 2.5s forwards;
}
@keyframes resultBgStep{
  0%{
    opacity: 0;
  }
  33.3%{
    opacity: 0;
  }
  33.4%{
    opacity: 0.33;
  }
  66.6%{
    opacity: 0.33;
  }
  66.7%{
    opacity: 0.66;
  }
  99.9%{
    opacity: 0.66;
  }
  100%{
    opacity: 1;
  }
}

.canmatch-result__badge,
.canmatch-result__character{
  opacity: 0;
  transform: scale(0.3);
}
.canmatch-result__badge{
  animation: badgePop 0.45s cubic-bezier(.22,1.4,.36,1) 4.1s forwards;
}
.canmatch-result__character{
  animation: charPop 0.45s cubic-bezier(.22,1.4,.36,1) 4.25s forwards;
}
@keyframes badgePop{
  40% {
    opacity: 0;
    transform: scale(0.2);
  }
  99% {
      opacity: 1;
      transform: scale(1.005);
  }
  100% {
      opacity: 1;
      transform: scale(1);
  }
}

@keyframes charPop{
  40% {
    opacity: 0;
    transform: scale(0.2);
  }
  99% {
      opacity: 1;
      transform: scale(1.005);
  }
  100% {
      opacity: 1;
      transform: scale(1);
  }
}

.canmatch-result__title_wrap,
.canmatch-result__description{
  opacity: 0;
  clip-path: inset(0 100% 0 0);
  animation: resultTextReveal .4s cubic-bezier(0.4, 0, 0.2, 1) 5.0s forwards;
}
@keyframes resultTextReveal{
  0%{
    opacity: 0;
    clip-path: inset(0 100% 0 0);
  }
  100%{
    opacity: 1;
    clip-path: inset(0 0 0 0);
  }
}


@media screen and (max-width: 660px) {
  .canmatch-result__character {
    width: 26.5vw;
}
}
@media screen and (max-width: 480px) {
  .canmatch-result__head {
    top: 83px;
  }

  .canmatch-result__lead-text {
    font-size: 20px;
  }
  .canmatch-result__body {
    margin-bottom: 30px;
}
  .canmatch-result__main {
        margin: 85px auto 30px;
  }
  .canmatch-result__character {
    bottom: -3vw;
    right: -2.4vw;
    width: 27.9vw;
  }
  .canmatch-result__title_wrap {
    margin-bottom: 15px;
  }
  .canmatch-result__title {
    font-size: 26px;
    padding: 10px;  
  }
  .canmatch-result__description {
    font-weight: normal;
    font-size: 14px;
  }
  .canmatch-result__share {
    padding: 40px 20px 33px;
    border-radius: 8px;
  }
  .canmatch-result__share-btn {
      padding: 20px 15px 13px;
      width: 97%;
      border-radius: 8px;
    box-shadow: 0 4px 0 #000d4d;
    border-width: 2px;
  }

  /* hoverを完全に無効化 */
  .canmatch-result__share-btn:hover{
    transform: none;
    box-shadow: 0 4px 0 #000d4d;
  }

  /* タップ中だけ押し込む */
  .canmatch-result__share-btn:active{
    transform: translateY(4px);
    box-shadow: 0 0 0 #0a2b5c;
  }

  .canmatch-result__share-label {
    font-size: 13px;
    width: 170px;
    padding: 1px;
    top: -14px;
  }
  .canmatch-result__share-text {
      font-size: 17px;
  }
  .canmatch-result__actions {
    gap: 10px;
}
.canmatch-result__action {
    width: calc((100% - 10px) / 2);
}
  .canmatch-result__action-link {
    font-size: 14px;
        padding: 13px 10px;
    box-shadow: 0 4px 0 #000d4d;
    border-width: 2px;
  }
  /* hoverを完全に無効化 */
  .canmatch-result__action-link:hover{
    transform: none;
    box-shadow: 0 4px 0 #000d4d;
  }

  /* タップ中だけ押し込む */
  .canmatch-result__action-link:active{
    transform: translateY(4px);
    box-shadow: 0 0 0 #0a2b5c;
  }

}




/*----------------------------------------
	footer
----------------------------------------*/

.footer {
  background-color: #fff;
  padding: 60px 0 10px;
}
.footer img {
  width: 90%;
  max-width: 250px;
}
.footer p {
  padding-top: 40px;
  font-size: 13px;
}


@media screen and (max-width: 860px) {
  .footer {
    padding-top: 25px;
  }
  .footer img {
      max-width: 150px;
  }
  .footer p {
    font-size: 10px;
    padding: 20px 0 0;
  }
}







.progress-bar {
    width: 100%;
    height: 8px;
    background: #ebf8fe;
    border-radius: 3px;
    margin: 20px 0;
    overflow: hidden;
}

.progress-fill {
    height: 100%;
    background: #68c1e7;
    width: 0%;
    transition: width 420ms cubic-bezier(.22,.61,.36,1);
}
/* 追加：進捗アイコン */
.canmatch-question__progress{
  position: relative; /* 念のため（既に入ってるけどOK） */
}

.canmatch-question__progress .progress-icon{
  position: absolute;
  top: -26px;           /* 高さは好みで微調整OK */
  left: 0;              /* JSが left を % で更新する前提 */
  transform: translateX(-50%); /* アイコンの中心を現在地に合わせる */
  width: 80px;          /* PCサイズ（好みで） */
  pointer-events: none;
  transition: left 420ms cubic-bezier(.22, .61, .36, 1);
}

@media screen and (max-width: 480px) {
  
  .canmatch-question__progress .progress-icon {
    top: -19px;
    width: 50px;
  }
}

.canmatch-question__progress .progress-icon img{
  width: 100%;
  display: block;
}

.result-container {
    display: none;
}
.button-container{
  width: 100%;
    max-width: 820px;
    margin: 60px auto 0;
    text-align: center;
}
.back-btn {
  padding: 21px 47px 21px 72px;
  cursor: pointer;
  color: #000d4d;
  background-image: url(../images/back.svg);
  background-repeat: no-repeat;
  background-size: 26px;
  background-position: left 36px center;
  line-height: 1;
  box-shadow: 0 7px 0 #000d4d;
  border: 2px solid #000d4d;
  transition: transform .15s ease, box-shadow .15s ease, background-position .3s ease;
  border-radius: 10px;
  background-color: #ebf7ff;
  font-weight: bold;
  font-size: 16px;
}
.back-btn:hover{
  transform: translateY(3px);
  box-shadow: 0 4px 0 #0a2b5c;
}

.back-btn:active{
  transform: translateY(7px);
  box-shadow: 0 0 0 #0a2b5c;
}



#result-container {
    visibility: hidden !important;
}

















